package com.gingersoft.gsa.cloud.pay.pos.bbpos;

import com.gingersoft.gsa.cloud.pay.pos.PosPayAction;

/**
 * @作者: bin
 * @創建時間: 2021-04-14 12:08
 * @更新時間: 2021-04-14 12:08
 * @描述:
 */
public class BBPosManager implements PosPayAction {

    private static BBPosManager sBBPosManager;

    public static BBPosManager newInstance() {
        if (sBBPosManager == null) {
            sBBPosManager = new BBPosManager();
        }
        return sBBPosManager;
    }

    private BBPosManager() {
    }

    @Override
    public void void0(Object params) {

    }

    @Override
    public void tip(Object params) {

    }

    @Override
    public void retrieval(Object params) {

    }

    @Override
    public void printStub(Object params) {

    }

    @Override
    public void settlement(Object params) {

    }

    @Override
    public void pay(Object params) {

    }

    @Override
    public void refund(Object params) {

    }
}
